<template>
    
    <div class="image">
        <div :class="'image-inner ' + image.imageposition">
            <div class="image-wrap">
                <img :src="image.src" class="image" />
            </div>
        </div>
      
    </div>
</template>

<script>


export default {
   name:'image',
   props:['image']
}
</script>

<style scoped>

  .image {
    flex: 1 1 33.333%;
    width: 100%;
    overflow: hidden;
    
  }
  .image-inner {
    position: relative;
    perspective: 1000px;
  }
  
    .image-inner.First-logo {
 
    left: 10px;
    z-index: 1
   
  }

    .image-inner.First-logo {
 
    left: 10px;
    z-index: 1;
    padding: 35px;
   
  }  
  .image-inner.Third-logo {

    z-index: 2;
    right: 10px;
  }

.image-inner.Fourth-logo {

    z-index: 3;
    right: 15px;
  }

  
  



</style>